/*
 * Copyright © 2020 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of gaming-core.
 *
 * Gaming-core is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * Gaming-core is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * gaming-core. If not, see <http://www.gnu.org/licenses/>.
 */
package de.fhdw.gaming.core.domain;

/**
 * Represents the state of a player.
 */
public enum PlayerState {

    /**
     * The player is still participating in playing the game.
     */
    PLAYING,

    /**
     * The player has deliberately decided to quit the game.
     */
    RESIGNED,

    /**
     * The player has lost the game according to the rules of the game.
     */
    LOST,

    /**
     * The player has won the game according to the rules of the game.
     */
    WON,

    /**
     * The game ended in a draw.
     */
    DRAW
}
